aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Commands.Attributes

# Documentation

data GetAttributes #

Constructors

GetAttributes |

Fields

- gaItemName :: Text
- gaAttributeName :: Maybe Text
- gaConsistentRead :: Bool
- gaDomainName :: Text

#### Instances

Instances details

SignQuery GetAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration GetAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration GetAttributes = SdbConfiguration

Methods

signQuery :: GetAttributes -> ServiceConfiguration GetAttributes queryType -> SignatureData -> SignedQuery #

Show GetAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> GetAttributes -> ShowS # show :: GetAttributes -> String # showList :: [GetAttributes] -> ShowS #
Transaction GetAttributes GetAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration GetAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration GetAttributes = SdbConfiguration

data GetAttributesResponse #

Constructors

GetAttributesResponse |

Fields

- garAttributes :: [Attribute Text]

#### Instances

Instances details

AsMemoryResponse GetAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse GetAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse GetAttributesResponse = GetAttributesResponse

Methods

loadToMemory :: GetAttributesResponse -> ResourceT IO (MemoryResponse GetAttributesResponse) #

Show GetAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> GetAttributesResponse -> ShowS # show :: GetAttributesResponse -> String # showList :: [GetAttributesResponse] -> ShowS #
ResponseConsumer r GetAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata GetAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata GetAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetAttributesResponse) -> HTTPResponseConsumer GetAttributesResponse #

Transaction GetAttributes GetAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse GetAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse GetAttributesResponse = GetAttributesResponse
type ResponseMetadata GetAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata GetAttributesResponse = SdbMetadata

getAttributes :: Text -> Text -> GetAttributes #

data PutAttributes #

Constructors

PutAttributes |

Fields

- paItemName :: Text
- paAttributes :: [Attribute SetAttribute]
- paExpected :: [Attribute ExpectedAttribute]
- paDomainName :: Text

#### Instances

Instances details

SignQuery PutAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration PutAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration PutAttributes = SdbConfiguration

Methods

signQuery :: PutAttributes -> ServiceConfiguration PutAttributes queryType -> SignatureData -> SignedQuery #

Show PutAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> PutAttributes -> ShowS # show :: PutAttributes -> String # showList :: [PutAttributes] -> ShowS #
Transaction PutAttributes PutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration PutAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration PutAttributes = SdbConfiguration

data PutAttributesResponse #

Constructors

PutAttributesResponse |

#### Instances

Instances details

AsMemoryResponse PutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse PutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse PutAttributesResponse = PutAttributesResponse

Methods

loadToMemory :: PutAttributesResponse -> ResourceT IO (MemoryResponse PutAttributesResponse) #

Show PutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> PutAttributesResponse -> ShowS # show :: PutAttributesResponse -> String # showList :: [PutAttributesResponse] -> ShowS #
ResponseConsumer r PutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata PutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata PutAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutAttributesResponse) -> HTTPResponseConsumer PutAttributesResponse #

Transaction PutAttributes PutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse PutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse PutAttributesResponse = PutAttributesResponse
type ResponseMetadata PutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata PutAttributesResponse = SdbMetadata

putAttributes :: Text -> [Attribute SetAttribute] -> Text -> PutAttributes #

data DeleteAttributes #

Constructors

DeleteAttributes |

Fields

- daItemName :: Text
- daAttributes :: [Attribute DeleteAttribute]
- daExpected :: [Attribute ExpectedAttribute]
- daDomainName :: Text

#### Instances

Instances details

SignQuery DeleteAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration DeleteAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration DeleteAttributes = SdbConfiguration

Methods

signQuery :: DeleteAttributes -> ServiceConfiguration DeleteAttributes queryType -> SignatureData -> SignedQuery #

Show DeleteAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> DeleteAttributes -> ShowS # show :: DeleteAttributes -> String # showList :: [DeleteAttributes] -> ShowS #
Transaction DeleteAttributes DeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration DeleteAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration DeleteAttributes = SdbConfiguration

data DeleteAttributesResponse #

Constructors

DeleteAttributesResponse |

#### Instances

Instances details

AsMemoryResponse DeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse DeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse DeleteAttributesResponse = DeleteAttributesResponse

Methods

loadToMemory :: DeleteAttributesResponse -> ResourceT IO (MemoryResponse DeleteAttributesResponse) #

Show DeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> DeleteAttributesResponse -> ShowS # show :: DeleteAttributesResponse -> String # showList :: [DeleteAttributesResponse] -> ShowS #
ResponseConsumer r DeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata DeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata DeleteAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteAttributesResponse) -> HTTPResponseConsumer DeleteAttributesResponse #

Transaction DeleteAttributes DeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse DeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse DeleteAttributesResponse = DeleteAttributesResponse
type ResponseMetadata DeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata DeleteAttributesResponse = SdbMetadata

deleteAttributes :: Text -> [Attribute DeleteAttribute] -> Text -> DeleteAttributes #

data BatchPutAttributes #

Constructors

BatchPutAttributes |

Fields

- bpaItems :: [Item [Attribute SetAttribute]]
- bpaDomainName :: Text

#### Instances

Instances details

SignQuery BatchPutAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration BatchPutAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchPutAttributes = SdbConfiguration

Methods

signQuery :: BatchPutAttributes -> ServiceConfiguration BatchPutAttributes queryType -> SignatureData -> SignedQuery #

Show BatchPutAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> BatchPutAttributes -> ShowS # show :: BatchPutAttributes -> String # showList :: [BatchPutAttributes] -> ShowS #
Transaction BatchPutAttributes BatchPutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration BatchPutAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchPutAttributes = SdbConfiguration

data BatchPutAttributesResponse #

Constructors

BatchPutAttributesResponse |

#### Instances

Instances details

AsMemoryResponse BatchPutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchPutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchPutAttributesResponse = BatchPutAttributesResponse

Methods

loadToMemory :: BatchPutAttributesResponse -> ResourceT IO (MemoryResponse BatchPutAttributesResponse) #

Show BatchPutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> BatchPutAttributesResponse -> ShowS # show :: BatchPutAttributesResponse -> String # showList :: [BatchPutAttributesResponse] -> ShowS #
ResponseConsumer r BatchPutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata BatchPutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchPutAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchPutAttributesResponse) -> HTTPResponseConsumer BatchPutAttributesResponse #

Transaction BatchPutAttributes BatchPutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse BatchPutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchPutAttributesResponse = BatchPutAttributesResponse
type ResponseMetadata BatchPutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchPutAttributesResponse = SdbMetadata

batchPutAttributes :: [Item [Attribute SetAttribute]] -> Text -> BatchPutAttributes #

data BatchDeleteAttributes #

Constructors

BatchDeleteAttributes |

Fields

- bdaItems :: [Item [Attribute DeleteAttribute]]
- bdaDomainName :: Text

#### Instances

Instances details

SignQuery BatchDeleteAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration BatchDeleteAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchDeleteAttributes = SdbConfiguration

Methods

signQuery :: BatchDeleteAttributes -> ServiceConfiguration BatchDeleteAttributes queryType -> SignatureData -> SignedQuery #

Show BatchDeleteAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> BatchDeleteAttributes -> ShowS # show :: BatchDeleteAttributes -> String # showList :: [BatchDeleteAttributes] -> ShowS #
Transaction BatchDeleteAttributes BatchDeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type ServiceConfiguration BatchDeleteAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchDeleteAttributes = SdbConfiguration

data BatchDeleteAttributesResponse #

Constructors

BatchDeleteAttributesResponse |

#### Instances

Instances details

AsMemoryResponse BatchDeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchDeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchDeleteAttributesResponse = BatchDeleteAttributesResponse

Methods

loadToMemory :: BatchDeleteAttributesResponse -> ResourceT IO (MemoryResponse BatchDeleteAttributesResponse) #

Show BatchDeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes Methods showsPrec :: Int -> BatchDeleteAttributesResponse -> ShowS # show :: BatchDeleteAttributesResponse -> String # showList :: [BatchDeleteAttributesResponse] -> ShowS #
ResponseConsumer r BatchDeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata BatchDeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchDeleteAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchDeleteAttributesResponse) -> HTTPResponseConsumer BatchDeleteAttributesResponse #

Transaction BatchDeleteAttributes BatchDeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
type MemoryResponse BatchDeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchDeleteAttributesResponse = BatchDeleteAttributesResponse
type ResponseMetadata BatchDeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchDeleteAttributesResponse = SdbMetadata

batchDeleteAttributes :: [Item [Attribute DeleteAttribute]] -> Text -> BatchDeleteAttributes #